Name:          qbittorrent
Version:       3.1.9
Release:       1mamba
Summary:       Free and reliable P2P Bittorrent client
Group:         Graphical Desktop/Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           http://qbittorrent.sourceforge.net/
Source:        http://downloads.sourceforge.net/qbittorrent/qbittorrent-%{version}.tar.gz
Source1:       qbittorrent-nox.README
Patch0:        qbittorrent-3.0.9-gcc-4.8.patch
Patch1:        qbittorrent-3.1.8-libqt4-4.8.5.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libboost-devel
BuildRequires: libcairo-devel
BuildRequires: libdbus-devel
BuildRequires: libdbus-glib-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk-devel
BuildRequires: libnotify-devel
BuildRequires: libopenssl-devel
BuildRequires: libpango-devel
BuildRequires: libpng-devel
BuildRequires: libqt4-devel
BuildRequires: libqtsingleapplication-devel
BuildRequires: libqtsinglecoreapplication-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtorrent-rasterbar-devel
## AUTOBUILDREQ-END
BuildRequires: gcc-c++
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The qBittorrent project aims to provide a Free Software alternative to µtorrent.
qBittorrent is based on Qt4 toolkit and libtorrent-rasterbar.

%package nox
Summary:       A Headless Bittorrent Client
Group:         Applications/Networking

%description nox
A Headless Bittorrent Client with a feature rich Web UI allowing users to control the clinet remotely.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
cp -p %{S:1} doc/README

%build
mkdir build-nox build-gui

# headless version
pushd build-nox
../configure \
  --prefix=%{_prefix} \
  --qtdir=%{_qt4_prefix} \
  --disable-gui \
  --with-qtsingleapplication=system

cp conf.pri ..
%make
mv -f ../conf.pri ../conf.pri.nox
popd

# gui version
pushd build-gui
../configure \
  --prefix=%{_prefix} \
  --qtdir=%{_qt4_prefix} \
  --with-qtsingleapplication=system

cp conf.pri ..
%make
mv -f ../conf.pri ../conf.pri.gui
popd

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

# headless version
mv -f conf.pri.nox conf.pri
make install -C build-nox \
  INSTALL_ROOT=%{buildroot}

# gui version
mv -f conf.pri.gui conf.pri
make install -C build-gui \
  INSTALL_ROOT=%{buildroot}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/qbittorrent
%{_mandir}/man1/qbittorrent.1*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/pixmaps/qbittorrent.png
%doc AUTHORS COPYING NEWS README TODO Changelog

%files nox
%defattr(-,root,root,-)
%{_bindir}/qbittorrent-nox
%{_mandir}/man1/qbittorrent-nox.1*
%doc AUTHORS COPYING doc/README

%changelog
* Sun Mar 02 2014 Automatic Build System <autodist@mambasoft.it> 3.1.9-1mamba
- automatic update by autodist

* Wed Jun 05 2013 Automatic Build System <autodist@mambasoft.it> 3.0.9-1mamba
- automatic version update by autodist

* Wed Jan 30 2013 Automatic Build System <autodist@mambasoft.it> 3.0.8-2mamba
- rebuilt with libtorrent-rasterbar 0.16.7

* Wed Jan 23 2013 Automatic Build System <autodist@mambasoft.it> 3.0.8-1mamba
- automatic version update by autodist

* Thu Jan 03 2013 Automatic Build System <autodist@mambasoft.it> 3.0.6-1mamba
- automatic version update by autodist

* Mon Oct 03 2011 Automatic Build System <autodist@mambasoft.it> 2.8.5-1mamba
- automatic version update by autodist

* Tue Jul 26 2011 Automatic Build System <autodist@mambasoft.it> 2.8.2-1mamba
- automatic version update by autodist

* Mon Mar 14 2011 Automatic Build System <autodist@mambasoft.it> 2.6.9-1mamba
- automatic update by autodist

* Wed Feb 23 2011 Automatic Build System <autodist@mambasoft.it> 2.6.6-1mamba
- automatic update by autodist

* Sun Jan 23 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 2.6.4-1mamba
- package created by autospec
